This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 131231 - system-config-display works poorly with matrox g200
system-config-display works poorly with matrox g200
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 05:04 EDT by John Finlay
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-11 20:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
generated xorg.conf file (2.67 KB, text/plain)
2004-09-06 15:13 EDT, John Finlay
no flags Details

  None (edit)
Description John Finlay 2004-08-30 05:04:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
New installation of FC2 with Matrox G200 with 8MB and Viewsonic p815
but only options in system-config-display are 640x480 and 800x600. I
know it will do 1600x1200 and 1280x1024 since I was using this same
hardware on RH9. If i manually change the xorg.conf file to add
1280x1024 and relogin it works. I think system-config-display should
do a better job.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install FC2 with matrox g200 and viewsonic 9815
2. firstboot setup shows only limited options -> choose 800x600
3. system-config-display also shows limited options
4. modify /etc/X11/xorg.conf to add 1280x1024 mode.
5. log out and log in
6. display now at 1280x1024
    

Additional info:
Comment 1 Paul Nasrat 2004-09-06 04:12:42 EDT
What is the output of running (as root)

kudzu -p -b ddc

Comment 2 John Finlay 2004-09-06 13:03:17 EDT
kudzu -p -b ddc output is:
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "Matrox MGA-G200"
mem: 2048
-
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "ViewSonic P815"
id: VSC3651
horizSyncMin: 30
horizSyncMax: 115
vertRefreshMin: 50
vertRefreshMax: 160
mode: 1600x1200
mode: 1600x1200
mode: 1280x1024
mode: 1280x1024
mode: 1152x864
mode: 1024x768
mode: 640x480
mode: 1024x768
Comment 3 Paul Nasrat 2004-09-06 14:09:45 EDT
We're only getting 2MB of memory indicated from DDC probing not the
8MB on the card.  This is why we don't show the higher resolution options.

Just for completeness can you attach the generated xorg.conf (backing
your one up) and paste in a comment with the output of:

system-config-display --verbose --reconfig --noui

I'll try and investigate why this might occur
Comment 4 John Finlay 2004-09-06 14:23:58 EDT
Command fails as follows:

[root@curlyjoe root]# system-config-display --verbose --reconfig --noui
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 412, in ?
    hardware_state.merge_into(xconfig)
NameError: name 'hardware_state' is not defined
Comment 5 Paul Nasrat 2004-09-06 14:34:41 EDT
Not good. What version of s-c-display are you running there?  I'll
verify that seperately and try and get an update out.

Can you update to the system-config-display in rawhide please (just
that package should be fine), and try to rerun the above.  
Comment 6 John Finlay 2004-09-06 14:51:32 EDT
FC2 RPM package:
system-config-display-1.0.14-1

Where's the rawhide package?
Comment 7 John Finlay 2004-09-06 15:13:06 EDT
Created attachment 103515 [details]
generated xorg.conf file

Output of: system-config-display --verbose --reconfig --noui
from package: system-config-display-1.0.18-2:

Trying with card: Matrox Millennium G200
Backing up /etc/X11/xorg.conf to /etc/X11/xorg.conf.backup
Writing configuration to /etc/X11/xorg.conf
Removing old /etc/X11/X
Creating /etc/X11/X symlink
Kicking gdm
Comment 8 Paul Nasrat 2004-09-07 04:15:45 EDT
Bill, any idea why we might get back less memory than is on the card
via ddc probing?
Comment 9 Bill Nottingham 2004-09-07 10:00:42 EDT
I thought at one point all Matrox cards returned 2MB. :/
Comment 10 John Finlay 2004-09-11 20:20:43 EDT
Thanks to the above comment it sounded like a bug in the Matrox
firmware. I found a bios update on the Matrox site and installed it.
That has fixed the problem. Thank you.

Note You need to log in before you can comment on or make changes to this bug.